DOC-API-MODEL-schema-1gg690bhqh#overview
ProviderPreferences
Routing preferences restricting and ordering the model providers eligible for a request.
Type-reference view: API Schema 9frhv4euve, API Schema 9ftjkkjhfa. Request and response views describe this type; they do not declare an endpoint.
Meaning and usage
Section ID: DOC-API-MODEL-schema-1gg690bhqh#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1gg690bhqh#fields
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
| In responses | View fields |
In requests
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-orderorder | Array of string | Optional | Preferred ordering of model providers for routing. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-allowfallbacksallowFallbacks | boolean | Optional | The current chat routing path enables provider fallbacks even when this value is false or omitted. This field cannot disable fallback in that path. Use only to restrict eligible providers; confirm the selected providers support the requested model. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-requireparametersrequireParameters | boolean | Optional | Whether routing requires providers to support the requested parameters. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-datacollectiondataCollection | string (DATA_COLLECTION_MODE_ALLOW, DATA_COLLECTION_MODE_DENY) or integer (int32) | Optional; explicit presence | Provider data-collection preference used when routing the request. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-zdrzdr | boolean | Optional | Whether routing requests providers offering zero data retention. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-onlyonly | Array of string | Optional | Provider identifiers allowed by the routing preference. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-ignoreignore | Array of string | Optional | Provider identifiers excluded by the routing preference. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-quantizationsquantizations | Array of string | Optional | See meaning below. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-sortsort | string (PROVIDER_SORT_PRICE, PROVIDER_SORT_THROUGHPUT, PROVIDER_SORT_LATENCY) or integer (int32) | Optional; explicit presence | Metric used to order eligible model providers. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-maxpricemaxPrice | ProviderMaxPrice | Optional | Upper price bounds used when selecting a model provider. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-enforcedistillabletextenforceDistillableText | boolean | Optional | Embeddings: enforce distillable text. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-preferredminthroughputpreferredMinThroughput | PercentileThreshold | Optional | Deprioritize providers below this throughput (tokens/sec). Does not exclude — just pushes to end of preference list. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-field-preferredmaxlatencypreferredMaxLatency | PercentileThreshold | Optional | Deprioritize providers above this latency (ms). |
quantizations
Model quantization formats allowed by the routing preference.
generic string for portability
Values of dataCollection
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-values-datacollection
Provider-routing preference for whether providers may collect submitted data.
| Value | No. | Form | Meaning |
|---|---|---|---|
DATA_COLLECTION_MODE_ALLOW | 0 | Canonical | Allow routing to providers that may collect submitted data under their policies. |
DATA_COLLECTION_MODE_DENY | 1 | Canonical | Request routing only to providers that do not collect submitted data under the routing policy. |
Values of sort
Section ID: DOC-API-MODEL-schema-1gg690bhqh#request-values-sort
Metric used to order eligible model providers.
| Value | No. | Form | Meaning |
|---|---|---|---|
PROVIDER_SORT_PRICE | 0 | Canonical | Prefer providers with lower price. |
PROVIDER_SORT_THROUGHPUT | 1 | Canonical | Prefer providers with higher throughput. |
PROVIDER_SORT_LATENCY | 2 | Canonical | Prefer providers with lower latency. |
In responses
Section ID: DOC-API-MODEL-schema-1gg690bhqh#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-orderSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-orderorder | Array of string | Optional | Preferred ordering of model providers for routing. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-allowfallbacksSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-allowfallbacksallowFallbacks | boolean | Optional | The current chat routing path enables provider fallbacks even when this value is false or omitted. This field cannot disable fallback in that path. Use only to restrict eligible providers; confirm the selected providers support the requested model. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-requireparametersSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-requireparametersrequireParameters | boolean | Optional | Whether routing requires providers to support the requested parameters. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-datacollectionSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-datacollectiondataCollection | string (DATA_COLLECTION_MODE_ALLOW, DATA_COLLECTION_MODE_DENY) or integer (int32) | Optional; explicit presence | Provider data-collection preference used when routing the request. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-zdrSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-zdrzdr | boolean | Optional | Whether routing requests providers offering zero data retention. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-onlySection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-onlyonly | Array of string | Optional | Provider identifiers allowed by the routing preference. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-ignoreSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-ignoreignore | Array of string | Optional | Provider identifiers excluded by the routing preference. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-quantizationsSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-quantizationsquantizations | Array of string | Optional | See meaning below. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-sortSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-sortsort | string (PROVIDER_SORT_PRICE, PROVIDER_SORT_THROUGHPUT, PROVIDER_SORT_LATENCY) or integer (int32) | Optional; explicit presence | Metric used to order eligible model providers. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-maxpriceSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-maxpricemaxPrice | ProviderMaxPrice | Optional | Upper price bounds used when selecting a model provider. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-enforcedistillabletextSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-enforcedistillabletextenforceDistillableText | boolean | Optional | Embeddings: enforce distillable text. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-preferredminthroughputSection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-preferredminthroughputpreferredMinThroughput | PercentileThreshold | Optional | Deprioritize providers below this throughput (tokens/sec). Does not exclude — just pushes to end of preference list. |
Section ID: DOC-API-MODEL-schema-1gg690bhqh#field-preferredmaxlatencySection ID: DOC-API-MODEL-schema-1gg690bhqh#response-field-preferredmaxlatencypreferredMaxLatency | PercentileThreshold | Optional | Deprioritize providers above this latency (ms). |
quantizations
Model quantization formats allowed by the routing preference.
generic string for portability
Values of dataCollection
Section ID: DOC-API-MODEL-schema-1gg690bhqh#response-values-datacollection
Provider-routing preference for whether providers may collect submitted data.
| Value | No. | Form | Meaning |
|---|---|---|---|
DATA_COLLECTION_MODE_ALLOW | 0 | Canonical | Allow routing to providers that may collect submitted data under their policies. |
DATA_COLLECTION_MODE_DENY | 1 | Canonical | Request routing only to providers that do not collect submitted data under the routing policy. |
Values of sort
Section ID: DOC-API-MODEL-schema-1gg690bhqh#response-values-sort
Metric used to order eligible model providers.
| Value | No. | Form | Meaning |
|---|---|---|---|
PROVIDER_SORT_PRICE | 0 | Canonical | Prefer providers with lower price. |
PROVIDER_SORT_THROUGHPUT | 1 | Canonical | Prefer providers with higher throughput. |
PROVIDER_SORT_LATENCY | 2 | Canonical | Prefer providers with lower latency. |
Where used
Section ID: DOC-API-MODEL-schema-1gg690bhqh#where-used
| Reference | Relationship |
|---|---|
| Create an agent profile | POST /api/v1/agent-profiles/create |
| Get an agent profile | POST /api/v1/agent-profiles/get |
| Import a prompt library | POST /api/v1/agent-profiles/import |
| List agent profiles | POST /api/v1/agent-profiles/list |
| Update an agent profile | POST /api/v1/agent-profiles/update |
| Withdraw your rating on a message | POST /api/v1/llm/delete-message-rating |
| Get full conversation state | POST /api/v1/llm/conversation-state |
| Rate an assistant message | POST /api/v1/llm/rate-message |
| Send a message and wait for the result | POST /api/v1/llm/send-message-sync |
| Submit client-side tool results and wait for the next segment | POST /api/v1/llm/submit-client-tool-results-sync |
| Update context management settings | POST /api/v1/llm/update-context-management-settings |
| Update default generation config | POST /api/v1/llm/update-default-generation-config |
| Get the caller's end-user profile | POST /api/v1/enduser/get |
| Append a message without generating | POST /api/v1/llm/append-message |
| Create a new conversation thread | POST /api/v1/llm/create-thread |
| Send a message to a conversation | POST /api/v1/llm/send-message |
| Update the caller's default generation config | POST /api/v1/enduser/update-generation-config |
| ReceiveMessageRequest | API JSON uses JSON field names (camelCase). |
| ClientToolDispatch | API JSON uses JSON field names (camelCase). |
Models containing this value
| Model | Relationship |
|---|---|
| GenerationConfig | Nested in model |
| GenerationConfig | Nested in model |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1gg690bhqh